---
# fail2ban_loglevel: "INFO"
fail2ban_logtarget: "SYSLOG" # log to systemd
# fail2ban_syslog_target: /var/log/fail2ban.log
# fail2ban_syslog_facility: 1
# fail2ban_socket: /var/run/fail2ban/fail2ban.sock
# fail2ban_pidfile: /var/run/fail2ban/fail2ban.pid
# fail2ban_dbpurgeage: 86400

# fail2ban_sendername: 'Fail2ban'
# all entrypoints are allowed
fail2ban_ignoreips: "['127.0.0.1/8', '::1'] + {{ fail2ban_trusted_ips }}"
# fail2ban_bantime: 600
# fail2ban_maxretry: 3
# fail2ban_findtime: 600
# fail2ban_backend: auto
fail2ban_destemail: ""
# fail2ban_banaction: iptables-multiport
# fail2ban_mta: sendmail
# fail2ban_protocol: tcp
# fail2ban_chain: INPUT
# fail2ban_action: '%(action_)s'

# recidive parameters
fail2ban_recidive_bantime: "1d"
fail2ban_recidive_findtime: "1d"
fail2ban_recidive_maxretry: 5
fail2ban_recidive_banaction: "%(banaction_allports)s"

# default services watched by fail2ban
fail2ban_default_services:
  - name: sshd
    mode: aggressive
    port: ssh
    bantime: 3600
    maxretry: 3
    findtime: 3600
  - name: recidive
    backend: systemd # https://github.com/fail2ban/fail2ban/issues/1283#issuecomment-223794740
    bantime: "{{ fail2ban_recidive_bantime }}"
    findtime: "{{ fail2ban_recidive_findtime }}"
    maxretry: "{{ fail2ban_recidive_maxretry }}"
    banaction: "{{ fail2ban_recidive_banaction }}"

  - name: pam-generic

fail2ban_services: "{{ fail2ban_default_services|default([]) + fail2ban_additional_services|default([]) }}"

...